/***********************************************************
Experiment 11: Using LCD (1602)
Description: LCD1602 display's and scrolling some text
Source: Texoham Centre for Advanced Computing
Website: www.texoham.com
***********************************************************/

#include <LiquidCrystal.h>                        // LCD Display Library

char array1[]="       Hello             ";        //the string to print on the LCD
char array2[]="     Welcome       ";              //the string to print on the LCD
char array3[]=" www.texoham.com ";                //the string to print on the LCD

int ms = 250;                                     //Delay 250 milli microseconds


LiquidCrystal lcd(4, 6, 10, 11, 12, 13);
void setup()
{
  lcd.begin(16, 2);
}

void loop() 
{
    lcd.clear();
    lcd.setCursor(15,0);
    for (int positionCounter1 = 0; positionCounter1 < 30; positionCounter1++)
    {
      lcd.scrollDisplayLeft();
      lcd.print(array1[positionCounter1]);
      delay(ms);
    }

    lcd.clear();
    
    lcd.setCursor(0,0);
    for (int positionCounter2 = 0; positionCounter2 < 16; positionCounter2++)
    {
      lcd.print(array2[positionCounter2]);
      delay(ms);
    }
    
    lcd.setCursor(0,1);
    for (int positionCounter3 = 0; positionCounter3 < 16; positionCounter3++)
    {
      lcd.print(array3[positionCounter3]);
      delay(ms);
    }
}
