/*********************************************************** 
Experiment 15: Using a Teperature Sensor 
Description: We measure the room temperature with temperature sensor and display it on the
             LCD1602 display.
Company: Texoham Centre for Advanced Computing 
Website: www.texoham.com 
***********************************************************/ 
#include <LiquidCrystal.h>
int val;
int tempPin = A0; 
LiquidCrystal lcd(4, 6, 10, 11, 12, 13);
 
void setup() 
{
   lcd.begin(16, 2);                      //set up the LCD's number of columns and rows: 
   lcd.clear();                           //Clears the LCD screen and positions the cursor in the upper-left corner 
   delay(1000);                           //delay 1000ms
} 

void loop() 
{ 
  val = analogRead(tempPin); 
  float mv = ( val/1024.0)*5000;  
  lcd.setCursor(0, 0);                     // set the cursor to column 0, line 0
  lcd.print("     Texoham      ");         // Print a message of "Texoham: "to the LCD.

  lcd.setCursor(0, 1);                     // set the cursor to column 0, line 0
  // lcd.print("Temprature: ");            // Print a message of "Temperature: "to the LCD.
  lcd.print(" ");                          // Print the unit of the centigrade temperature to the LCD.
  delay(500);
 
  float cel = mv/10; float farh = (cel*9)/5 + 32; 
   
  lcd.print("TEMPRATURE = "); 
  lcd.print(cel); 
  lcd.print("*C"); 
  lcd.println(); 
  delay(1000); 
} 
