/***********************************************************
Experiment 10: Simple Counter
Description:7 Segment 4 digit display displays Numbers 0 to 10000 .After it will repeats
Source: Texoham Centre for Advanced Computing
Website: www.texoham.com
***********************************************************
****NOTE: Display Libraries Needed for this code to work.
***********************************************************/
#include <TM1637Display.h>
 
const int CLK = 3;                      //Set the display CLK pin connection to pin 3
const int DIO = 2;                      //Set the display DIO pin connection to pin 2
 
int numCounter = 0;
 
TM1637Display display(CLK, DIO);        //set up the 4-Digit Display.
 
void setup()
{
  display.setBrightness(0x0a);            //set the display to maximum brightness
}
 
 
void loop()
{
  for(numCounter = 0; numCounter < 10000; numCounter++)       //Iterate numCounter
  {
    display.showNumberDec(numCounter);      //Display the numCounter value;
    delay(1000);
  }
}
